%define upstream_name    Encode-HanExtra
%define upstream_version 0.23

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 18

Summary:	Extra sets of Chinese encodings
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Encode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Encode)
BuildRequires:	perl-devel


%{?perl_default_filter}

%description
Perl 5.7.3 and later ships with an adequate set of Chinese encodings,
including the commonly used 'CP950', 'CP936' (also known as 'GBK'), 'Big5'
(alias for 'Big5-Eten'), 'Big5-HKSCS', 'EUC-CN', 'HZ', and 'ISO-IR-165'.

However, the numbers of Chinese encodings are staggering, and a complete
coverage will easily increase the size of perl distribution by several
megabytes; hence, this CPAN module tries to provide the rest of them.

If you are using Perl 5.8 or later, the Encode::CN manpage and the
Encode::TW manpage will automatically load the extra encodings for you, so
there's no need to explicitly write 'use Encode::HanExtra' if you are using
one of them already.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.230.0-18.mga6
+ Revision: 1026919
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.230.0-17.mga6
+ Revision: 957266
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.230.0-16.mga6
+ Revision: 844865
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.230.0-15.mga6
+ Revision: 840865
- Rebuild for perl 5.22

* Sun Oct 19 2014 umeabot <umeabot> 0.230.0-14.mga5
+ Revision: 790004
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.230.0-13.mga5
+ Revision: 750836
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.230.0-12.mga5
+ Revision: 732089
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.230.0-11.mga5
+ Revision: 684636
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.230.0-10.mga5
+ Revision: 631135
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.230.0-9.mga4
+ Revision: 524182
- Mageia 4 Mass Rebuild

* Wed May 29 2013 fwang <fwang> 0.230.0-8.mga4
+ Revision: 430516
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.230.0-7.mga3
+ Revision: 366874
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 fwang <fwang> 0.230.0-6.mga3
+ Revision: 306915
- rebuild for perl 5.16.1

* Wed May 30 2012 jquelin <jquelin> 0.230.0-5.mga3
+ Revision: 250592
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.230.0-4.mga2
+ Revision: 104251
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.230.0-3.mga1
+ Revision: 31959
- mageia rebuild
- imported package perl-Encode-HanExtra

